Subject: Notification: incoming/429

From: [email-masked]
Date: Mon, 9 Aug 1999 06:02:30 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/429

Message summary for PR#429
	From: [email-masked]
	Subject: Private colormaps in widget subwindows
	Date: Mon, 9 Aug 1999 06:02:27 -0500 (CDT)
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 13 Aug 1999 00:18:15 +0200

On Mon, Aug 09, 1999 at 06:02:30AM -0500, [email-masked] wrote:
> Since the first release fvwm doesn't handle colormap installation for
> subwindows in window hierarchies. Since it is needed for more and more
> applications (IDL, PV-WAVE, try, e.g., xpalette), the time seems to be 
> right for a patch. I've already got one from RSI Inc., written years
> ago by Randy Frank, a former employee, for fvwm-1.24r. I have incorporated
> 
> it into the 2.2.2 release, and it works fine on all systems I could try 
> (Sun ,Linux, Dec). Randy once posted it to the mailing list, but that was
> in the early times and has been forgotten. I hope this time it will 
> experience another fate, because it would help many desperate fans of
> this marvelleous window manager. So here are the two patch
> files (diff -c) for fvwm/events.c and fvwm/colormaps.c for 2.2.2:

I think the current development code is too far away from 2.2.2 for
the patch to be applied easily. Could you please fetch the latest
snapshot from our we page and adapt the patch for it? It's probably
not a big issue, but I am very busy at the moment and won't get a
chance to do it myself any time soon. Please include an entry for
the ChangeLog file too.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]